# Uses of Class
com.databricks.jdbc.exception.DatabricksBatchUpdateException

Packages that use DatabricksBatchUpdateException
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.batch

## Uses of DatabricksBatchUpdateException in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that throw DatabricksBatchUpdateException
Modifier and Type
Method
Description
`int[]`
DatabricksPreparedStatement.`executeBatch()`
`long[]`
DatabricksPreparedStatement.`executeLargeBatch()`

## Uses of DatabricksBatchUpdateException in com.databricks.jdbc.api.impl.batch

Methods in com.databricks.jdbc.api.impl.batch that throw DatabricksBatchUpdateException
Modifier and Type
Method
Description
`long[]`
DatabricksBatchExecutor.`executeBatch()`
Executes all the commands in the batch sequentially.